/**
 * An employee name object. Allows creation, validation, and ordering of names.
 */

public class Name
{
	String val;
	final static int MAX_LENGTH = 30;

	Name(String v)
	{
		val = v;
	}

	String value()
	{
		return val;
	}

	public boolean isValid()
	{
		return (0 < val.length()) && (val.length() <= MAX_LENGTH);
	}

	public boolean isGreaterThan(Name n)
	{
		return val.compareTo(n.val) > 0;
	}
}

